summaryrefslogtreecommitdiffstats
path: root/third_party/libwebrtc/tools_webrtc/android/adb_shell.sh
diff options
context:
space:
mode:
Diffstat (limited to 'third_party/libwebrtc/tools_webrtc/android/adb_shell.sh')
-rwxr-xr-xthird_party/libwebrtc/tools_webrtc/android/adb_shell.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/third_party/libwebrtc/tools_webrtc/android/adb_shell.sh b/third_party/libwebrtc/tools_webrtc/android/adb_shell.sh
new file mode 100755
index 0000000000..e2d4f9187e
--- /dev/null
+++ b/third_party/libwebrtc/tools_webrtc/android/adb_shell.sh
@@ -0,0 +1,23 @@
+#!/bin/bash
+
+# Copyright (c) 2012 The WebRTC project authors. All Rights Reserved.
+#
+# Use of this source code is governed by a BSD-style license
+# that can be found in the LICENSE file in the root of the source
+# tree. An additional intellectual property rights grant can be found
+# in the file PATENTS. All contributing project authors may
+# be found in the AUTHORS file in the root of the source tree.
+
+# 'adb shell' always returns "0" regardless of executable return code.
+# This handy script will return executable return code to shell which
+# can be used by buildbots.
+
+adb_shell () {
+ local RET ADB_LOG
+ ADB_LOG=$(mktemp "${TMPDIR:-/tmp}/adb-XXXXXXXX")
+ adb "$1" "$2" shell "$3" "$4" ";" echo \$? | tee "$ADB_LOG"
+ sed -i -e 's![[:cntrl:]]!!g' "$ADB_LOG" # Remove \r.
+ RET=$(sed -e '$!d' "$ADB_LOG") # Last line contains status code.
+ rm -f "$ADB_LOG"
+ return $RET
+}